<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CMakeRunConfigurationManager" shouldGenerate="true" shouldDeleteObsolete="true">
    <generated>
      <config projectName="projet_gomoku" targetName="wtdbomysql" />
      <config projectName="projet_gomoku" targetName="main.out" />
      <config projectName="projet_gomoku" targetName="test.mysql" />
      <config projectName="projet_gomoku" targetName="wtdbomssqlserver" />
      <config projectName="projet_gomoku" targetName="main_test.out" />
      <config projectName="projet_gomoku" targetName="doxygen-examples" />
      <config projectName="projet_gomoku" targetName="wtdbo" />
      <config projectName="projet_gomoku" targetName="wttest" />
      <config projectName="projet_gomoku" targetName="test.wt" />
      <config projectName="projet_gomoku" targetName="test.http" />
      <config projectName="projet_gomoku" targetName="doxygen" />
      <config projectName="projet_gomoku" targetName="wtdbosqlite3" />
      <config projectName="projet_gomoku" targetName="wt" />
      <config projectName="projet_gomoku" targetName="wtdbopostgres" />
      <config projectName="projet_gomoku" targetName="test.mssqlserver" />
      <config projectName="projet_gomoku" targetName="doc" />
      <config projectName="projet_gomoku" targetName="wthttp" />
      <config projectName="projet_gomoku" targetName="test.sqlite3" />
      <config projectName="projet_gomoku" targetName="test.postgres" />
    </generated>
  </component>
  <component name="CMakeSettings" AUTO_RELOAD="true">
    <configurations>
      <configuration PROFILE_NAME="Debug" CONFIG_NAME="Debug" />
    </configurations>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="1003d28d-c11b-4426-ae55-d7c14a963171" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/CMakeLists.txt" beforeDir="false" afterPath="$PROJECT_DIR$/CMakeLists.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Constantes.hpp" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Jeu.cpp" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Jeu.hpp" beforeDir="false" afterPath="$PROJECT_DIR$/src/Jeu.hpp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Joueur.cpp" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Joueur.hpp" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Plateau.cpp" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Plateau.hpp" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Point.cpp" beforeDir="false" afterPath="$PROJECT_DIR$/src/Point.cpp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Point.hpp" beforeDir="false" afterPath="$PROJECT_DIR$/src/Point.hpp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Tools.cpp" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Tools.hpp" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/exceptions/NoMorePawnLeft.hpp" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/exceptions/WrongPawnCoordinates.hpp" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main.cpp" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/view/AppGomoku.cpp" beforeDir="false" afterPath="$PROJECT_DIR$/src/view/AppGomoku.cpp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/view/AppGomoku.hpp" beforeDir="false" afterPath="$PROJECT_DIR$/src/view/AppGomoku.hpp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/view/CaseWidget.cpp" beforeDir="false" afterPath="$PROJECT_DIR$/src/view/CaseWidget.cpp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/view/CaseWidget.hpp" beforeDir="false" afterPath="$PROJECT_DIR$/src/view/CaseWidget.hpp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/view/GridWidget.cpp" beforeDir="false" afterPath="$PROJECT_DIR$/src/view/GridWidget.cpp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/view/MenuWidget.cpp" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/view/MenuWidget.hpp" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/view/css/Menu.css" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/view/images/case_blanc.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/view/images/case_blanc_win.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/view/images/case_noir.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/view/images/case_noir_win.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/view/images/case_vide.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/view/images/case_vide_win.png" beforeDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/cmake-build-debug/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="CMakeBuildProfile:Debug" />
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/view/GridWidget.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="225">
              <caret line="15" selection-start-line="15" selection-end-line="15" />
              <folding>
                <element signature="e#48#73#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/view/GridWidget.hpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="255">
              <caret line="17" lean-forward="true" selection-start-line="17" selection-end-line="17" />
              <folding>
                <element signature="e#124#149#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/view/AppGomoku.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="90">
              <caret line="6" selection-start-line="6" selection-end-line="6" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/Point.hpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="135">
              <caret line="9" selection-start-line="9" selection-end-line="9" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/Couleur.hpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="165">
              <caret line="11" selection-start-line="11" selection-end-line="16" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/view/AppGomoku.hpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="195">
              <caret line="13" column="43" selection-start-line="13" selection-start-column="43" selection-end-line="13" selection-end-column="43" />
              <folding>
                <element signature="e#121#149#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/Jeu.hpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="120">
              <caret line="8" selection-start-line="8" selection-end-line="8" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/view/CaseWidget.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="330">
              <caret line="22" selection-start-line="22" selection-end-line="22" />
              <folding>
                <element signature="e#48#73#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/view/CaseWidget.hpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="330">
              <caret line="22" column="20" selection-start-line="22" selection-start-column="20" selection-end-line="22" selection-end-column="20" />
              <folding>
                <element signature="e#124#149#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTML File" />
        <option value="CSS File" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>Jeu</find>
      <find>_p</find>
      <find>examples</find>
      <find>file</find>
      <find>style</find>
      <find>blog</find>
      <find>tools</find>
      <find>Wt.emit()</find>
      <find>emit()</find>
      <find>WImage</find>
      <find>joueurActuel</find>
      <find>example</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="16-recuperation-des-pseudos" />
      </map>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/Couleur.hpp" />
        <option value="$PROJECT_DIR$/src/main_test.cpp" />
        <option value="$PROJECT_DIR$/.gitignore" />
        <option value="$PROJECT_DIR$/src/Case.hpp" />
        <option value="$PROJECT_DIR$/src/tests/test_jeu.cpp" />
        <option value="$PROJECT_DIR$/src/exceptions/WrongPawnCoordinates.cpp" />
        <option value="$PROJECT_DIR$/src/exceptions/NoMorePawnLeft.hpp" />
        <option value="$PROJECT_DIR$/src/Couleur.hpp" />
        <option value="$PROJECT_DIR$/src/exceptions/WrongPawnCoordinates.hpp" />
        <option value="$PROJECT_DIR$/src/tests/jeu_test.cpp" />
        <option value="$PROJECT_DIR$/wt/CMakeLists.txt" />
        <option value="$PROJECT_DIR$/src/view/WTemplate-example.html" />
        <option value="$PROJECT_DIR$/src/view/css/Menu.css" />
        <option value="$PROJECT_DIR$/src/view/MenuWidget.hpp" />
        <option value="$PROJECT_DIR$/wt/src/Wt/WLineEdit.h" />
        <option value="$PROJECT_DIR$/wt/examples/hello/hello.C" />
        <option value="$PROJECT_DIR$/src/Tools.hpp" />
        <option value="$PROJECT_DIR$/src/view/templates/menu.xml" />
        <option value="$PROJECT_DIR$/src/view/MenuWidget.cpp" />
        <option value="$PROJECT_DIR$/wt/examples/hangman/HangmanGame.C" />
        <option value="$PROJECT_DIR$/src/Constantes.hpp" />
        <option value="$PROJECT_DIR$/src/Tools.cpp" />
        <option value="$PROJECT_DIR$/src/view/css/main.css" />
        <option value="$PROJECT_DIR$/src/view/GridWidget.hpp" />
        <option value="$PROJECT_DIR$/src/main.cpp" />
        <option value="$PROJECT_DIR$/src/view/AppGomoku.hpp" />
        <option value="$PROJECT_DIR$/src/view/CaseWidget.hpp" />
        <option value="$PROJECT_DIR$/src/Plateau.cpp" />
        <option value="$PROJECT_DIR$/src/Plateau.hpp" />
        <option value="$PROJECT_DIR$/src/Point.cpp" />
        <option value="$PROJECT_DIR$/src/Joueur.cpp" />
        <option value="$PROJECT_DIR$/src/Joueur.hpp" />
        <option value="$PROJECT_DIR$/src/view/GridWidget.cpp" />
        <option value="$PROJECT_DIR$/CMakeLists.txt" />
        <option value="$PROJECT_DIR$/src/Jeu.cpp" />
        <option value="$PROJECT_DIR$/src/view/AppGomoku.cpp" />
        <option value="$PROJECT_DIR$/src/view/CaseWidget.cpp" />
        <option value="$PROJECT_DIR$/src/Jeu.hpp" />
        <option value="$PROJECT_DIR$/src/Point.hpp" />
      </list>
    </option>
  </component>
  <component name="OCFindUsagesOptions" text="true" ivars="false" properties="true" derivedClasses="false" />
  <component name="ProjectFrameBounds" extendedState="6" fullScreen="true">
    <option name="x" value="1571" />
    <option name="width" value="109" />
    <option name="height" value="1050" />
  </component>
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="projet_gomoku" type="b2602c69:ProjectViewProjectNode" />
              <item name="ProjetCPPGL copie" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="projet_gomoku" type="b2602c69:ProjectViewProjectNode" />
              <item name="ProjetCPPGL copie" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="list.type.of.created.stylesheet" value="CSS" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="preferences.lookFeel" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src/view" />
      <recent name="$PROJECT_DIR$" />
      <recent name="$PROJECT_DIR$/src/tests" />
      <recent name="$PROJECT_DIR$/src" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Application.main.out">
    <configuration name="doc" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="doc" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="doxygen-examples" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="doxygen-examples" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="doxygen" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="doxygen" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="main.out" type="CMakeRunConfiguration" factoryName="Application" PROGRAM_PARAMS="--docroot . --http-listen 0.0.0.0:8080" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="main.out" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="projet_gomoku" RUN_TARGET_NAME="main.out">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="main_test.out" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="main_test.out" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="projet_gomoku" RUN_TARGET_NAME="main_test.out">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="test.http" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="test.http" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="projet_gomoku" RUN_TARGET_NAME="test.http">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="test.mssqlserver" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="test.mssqlserver" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="projet_gomoku" RUN_TARGET_NAME="test.mssqlserver">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="test.mysql" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="test.mysql" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="projet_gomoku" RUN_TARGET_NAME="test.mysql">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="test.postgres" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="test.postgres" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="projet_gomoku" RUN_TARGET_NAME="test.postgres">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="test.sqlite3" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="test.sqlite3" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="projet_gomoku" RUN_TARGET_NAME="test.sqlite3">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="test.wt" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="test.wt" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="projet_gomoku" RUN_TARGET_NAME="test.wt">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="wt" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="wt" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="wtdbo" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="wtdbo" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="wtdbomssqlserver" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="wtdbomssqlserver" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="wtdbomysql" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="wtdbomysql" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="wtdbopostgres" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="wtdbopostgres" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="wtdbosqlite3" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="wtdbosqlite3" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="wthttp" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="wthttp" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="wttest" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="projet_gomoku" TARGET_NAME="wttest" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.main.out" />
      <item itemvalue="Application.main_test.out" />
      <item itemvalue="Application.doc" />
      <item itemvalue="Application.doxygen" />
      <item itemvalue="Application.doxygen-examples" />
      <item itemvalue="Application.wt" />
      <item itemvalue="Application.wttest" />
      <item itemvalue="Application.wthttp" />
      <item itemvalue="Application.wtdbo" />
      <item itemvalue="Application.wtdbomssqlserver" />
      <item itemvalue="Application.wtdbomysql" />
      <item itemvalue="Application.wtdbopostgres" />
      <item itemvalue="Application.wtdbosqlite3" />
      <item itemvalue="Application.test.http" />
      <item itemvalue="Application.test.mssqlserver" />
      <item itemvalue="Application.test.mysql" />
      <item itemvalue="Application.test.postgres" />
      <item itemvalue="Application.test.sqlite3" />
      <item itemvalue="Application.test.wt" />
    </list>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="1003d28d-c11b-4426-ae55-d7c14a963171" name="Default Changelist" comment="" />
      <created>1556541262087</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1556541262087</updated>
      <workItem from="1556541264693" duration="35460000" />
      <workItem from="1556881992084" duration="22728000" />
      <workItem from="1557128686876" duration="383000" />
      <workItem from="1557144510657" duration="37554000" />
      <workItem from="1557580584502" duration="3307000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="99432000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="648" y="0" width="1032" height="1050" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.33636364" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.21428572" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.8366834" visible="true" weight="0.31530613" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.34387755" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.20750293" />
      <window_info anchor="bottom" id="Database Changes" order="7" />
      <window_info anchor="bottom" id="Messages" order="8" sideWeight="0.49623117" weight="0.46632653" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.26020408" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.50376886" side_tool="true" weight="0.6642857" />
      <window_info anchor="bottom" id="Version Control" order="11" weight="0.32857144" />
      <window_info anchor="bottom" id="CMake" order="12" sideWeight="0.4993895" weight="0.327551" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout>
    <layout-to-restore>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.2722833" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.21428572" />
      <window_info active="true" anchor="bottom" id="Run" order="2" sideWeight="0.4993895" visible="true" weight="0.3510204" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.34387755" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.20750293" />
      <window_info anchor="bottom" id="Database Changes" order="7" />
      <window_info anchor="bottom" id="Messages" order="8" weight="0.33877552" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.26020408" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.50061053" side_tool="true" weight="0.22157092" />
      <window_info anchor="bottom" id="Version Control" order="11" weight="0.32942554" />
      <window_info anchor="bottom" id="CMake" order="12" sideWeight="0.4993895" weight="0.32827103" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
              <option name="FILTERS">
                <map>
                  <entry key="branch">
                    <value>
                      <list>
                        <option value="origin/1-creation-des-fichiers-des-classes-definies-sur-diagramme" />
                      </list>
                    </value>
                  </entry>
                </map>
              </option>
              <option name="COLUMN_ORDER">
                <list>
                  <option value="0" />
                  <option value="1" />
                  <option value="2" />
                  <option value="3" />
                </list>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
    <option name="RECENT_FILTERS">
      <map>
        <entry key="Branch">
          <value>
            <list>
              <RecentGroup>
                <option name="FILTER_VALUES">
                  <option value="origin/1-creation-des-fichiers-des-classes-definies-sur-diagramme" />
                </option>
              </RecentGroup>
            </list>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/wt/examples/hangman/HighScoresWidget.C">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-603" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/examples/hangman/HangmanWidget.h">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/examples/javascript/JavascriptExample.C">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="80" lean-forward="true" selection-start-line="80" selection-end-line="80" />
          <folding>
            <element signature="e#106#125#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/view/MenuWidget.hpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="11" column="39" lean-forward="true" selection-start-line="11" selection-start-column="39" selection-end-line="11" selection-end-column="39" />
          <folding>
            <element signature="e#124#149#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/src/Wt/WObject.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="203">
          <caret line="109" column="11" selection-start-line="109" selection-start-column="11" selection-end-line="109" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/examples/javascript/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/src/Wt/WWebWidget.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="291">
          <caret line="325" column="18" selection-start-line="325" selection-start-column="7" selection-end-line="325" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/src/Wt/WContainerWidget.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="127">
          <caret line="133" column="13" selection-start-line="133" selection-start-column="13" selection-end-line="133" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/src/Wt/WContainerWidget.C">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="28" column="18" selection-start-line="28" selection-start-column="18" selection-end-line="28" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/src/Wt/WLink.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-20">
          <caret line="33" column="13" selection-start-line="33" selection-start-column="13" selection-end-line="33" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/src/Wt/WTemplate.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="183" column="13" selection-start-line="183" selection-start-column="13" selection-end-line="183" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/src/Wt/WText.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="183">
          <caret line="119" column="4" selection-start-line="119" selection-start-column="4" selection-end-line="119" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/examples/hangman/ImagesWidget.h">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/examples/hangman/HangmanWidget.C">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/src/Wt/WWidget.C">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="26" column="9" selection-start-line="26" selection-start-column="9" selection-end-line="26" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/examples/hangman/hangman.C">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="28" column="1" selection-start-line="28" selection-start-column="1" selection-end-line="28" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/examples/hangman/HangmanGame.C">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="331">
          <caret line="48" column="17" selection-start-line="48" selection-start-column="17" selection-end-line="48" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/examples/hangman/ImagesWidget.C">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="19" column="32" selection-start-line="19" selection-start-column="32" selection-end-line="19" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/src/Wt/WLink.C">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="63" column="12" selection-start-line="63" selection-start-column="12" selection-end-line="63" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/src/Wt/WImage.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="107" column="15" selection-start-line="107" selection-start-column="15" selection-end-line="107" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/src/Wt/WImage.C">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="275">
          <caret line="111" column="1" lean-forward="true" selection-start-line="111" selection-start-column="1" selection-end-line="111" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/src/Wt/WString.C">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="358">
          <caret line="596" column="36" selection-start-line="596" selection-start-column="21" selection-end-line="596" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/src/Wt/WSignal.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="827" column="40" selection-start-line="827" selection-start-column="40" selection-end-line="827" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/view/css/Menu.css">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/view/css/main.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="30">
          <caret line="2" column="32" selection-start-line="2" selection-start-column="32" selection-end-line="2" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file:///Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include/c++/v1/string">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="318">
          <caret line="766" column="4" selection-start-line="766" selection-start-column="4" selection-end-line="766" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file:///Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/include/c++/v1/iosfwd">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="761">
          <caret line="194" column="73" selection-start-line="194" selection-start-column="73" selection-end-line="194" selection-end-column="73" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/wt/CMakeLists.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="230">
          <caret line="87" column="20" selection-start-line="87" selection-start-column="13" selection-end-line="87" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Plateau.hpp">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Plateau.cpp">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Joueur.hpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="158">
          <caret line="15" column="6" selection-start-line="15" selection-start-column="6" selection-end-line="15" selection-end-column="6" />
          <folding>
            <element signature="e#116#133#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Joueur.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="21" selection-start-line="21" selection-end-line="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="24" column="2" selection-start-line="24" selection-start-column="2" selection-end-line="24" selection-end-column="2" />
          <folding>
            <element signature="e#49#68#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/view/MenuWidget.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="405">
          <caret line="27" column="75" selection-start-line="27" selection-start-column="75" selection-end-line="27" selection-end-column="75" />
          <folding>
            <element signature="e#48#73#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Constantes.hpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="630">
          <caret line="42" column="35" selection-start-line="42" selection-start-column="35" selection-end-line="42" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/CMakeLists.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="405">
          <caret line="27" column="9" selection-start-line="27" selection-start-column="9" selection-end-line="27" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Doxyfile">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Jeu.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="5" selection-start-line="5" selection-end-line="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Point.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="375">
          <caret line="26" selection-start-line="26" selection-end-line="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Tools.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="480">
          <caret line="32" column="1" selection-start-line="32" selection-start-column="1" selection-end-line="32" selection-end-column="1" />
          <folding>
            <element signature="e#48#68#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Couleur.hpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="11" selection-start-line="11" selection-end-line="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Tools.hpp">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/view/CaseWidget.hpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="22" column="20" selection-start-line="22" selection-start-column="20" selection-end-line="22" selection-end-column="20" />
          <folding>
            <element signature="e#124#149#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/view/GridWidget.hpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="17" lean-forward="true" selection-start-line="17" selection-end-line="17" />
          <folding>
            <element signature="e#124#149#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/view/AppGomoku.hpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="13" column="43" selection-start-line="13" selection-start-column="43" selection-end-line="13" selection-end-column="43" />
          <folding>
            <element signature="e#121#149#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/view/AppGomoku.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" selection-start-line="6" selection-end-line="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/view/CaseWidget.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="22" selection-start-line="22" selection-end-line="22" />
          <folding>
            <element signature="e#48#73#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/view/GridWidget.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="15" selection-start-line="15" selection-end-line="15" />
          <folding>
            <element signature="e#48#73#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Jeu.hpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="8" selection-start-line="8" selection-end-line="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Point.hpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="9" selection-start-line="9" selection-end-line="9" />
        </state>
      </provider>
    </entry>
  </component>
</project>